Config::Model::Dpkg::Control::Source::StandardsVersion(3pm)

NAME
Config::Model::Dpkg::Control::Source::StandardsVersion - Standards-Version model

SYNOPSIS
 Internal use for DPkg model

DESCRIPTION
This class is derived from Config::Model::Value. Its purpose is to provide a default value for "Standard-Version" parameter using Lintian library.

METHODS

  compare_with_last_version
Compare passed version with the latest version of "Standards-Version". This last version is retrieved from "lintian" package. The comparison is done with Sort::Versions.

This methods return -1, 0 or 1 depending if the passed version is older, equal or newer than latest version of "Standards-Version"

Example:

 $self->compare_with_last_version('3.9.1'); # returns -1

AUTHOR
Dominique Dumont, ddumont [AT] cpan [DOT] org

SEE ALSO
Config::Model, Config::Model::Value,